Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057449 - [abrt] xorg-x11-server-Xorg: IgnoreClient(): Xorg killed by SIGSEGV
Summary: [abrt] xorg-x11-server-Xorg: IgnoreClient(): Xorg killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f082a604d86ba9840b521cb89ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 06:59 UTC by silhano
Modified: 2015-06-29 14:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:43:22 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: cgroup (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: core_backtrace (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: dso_list (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: environ (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: exploitable (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: limits (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: maps (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: open_fds (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: proc_pid_status (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details
File: var_log_messages (deleted)
2014-01-24 06:59 UTC, silhano
no flags Details

Description silhano 2014-01-24 06:59:33 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.4-5.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-fARIhR/database -seat seat0 -nolisten tcp vt1
crash_function: IgnoreClient
executable:     /usr/bin/Xorg
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 IgnoreClient
 #1 glxSuspendClients at /usr/lib64/xorg/modules/extensions/libglx.so
 #2 glxDRILeaveVT at /usr/lib64/xorg/modules/extensions/libglx.so
 #3 AbortDDX
 #4 AbortServer
 #5 FatalError
 #6 OsSigHandler
 #8 __memcpy_sse2_unaligned at /lib64/libc.so.6
 #9 exaMemcpyBox.isra.2 at /usr/lib64/xorg/modules/libexa.so
 #10 exaCopyDirty at /usr/lib64/xorg/modules/libexa.so

Comment 1 silhano 2014-01-24 06:59:38 UTC
Created attachment 854798 [details]
File: backtrace

Comment 2 silhano 2014-01-24 06:59:40 UTC
Created attachment 854799 [details]
File: cgroup

Comment 3 silhano 2014-01-24 06:59:41 UTC
Created attachment 854800 [details]
File: core_backtrace

Comment 4 silhano 2014-01-24 06:59:43 UTC
Created attachment 854801 [details]
File: dso_list

Comment 5 silhano 2014-01-24 06:59:45 UTC
Created attachment 854802 [details]
File: environ

Comment 6 silhano 2014-01-24 06:59:47 UTC
Created attachment 854803 [details]
File: exploitable

Comment 7 silhano 2014-01-24 06:59:50 UTC
Created attachment 854804 [details]
File: limits

Comment 8 silhano 2014-01-24 06:59:52 UTC
Created attachment 854805 [details]
File: maps

Comment 9 silhano 2014-01-24 06:59:54 UTC
Created attachment 854806 [details]
File: open_fds

Comment 10 silhano 2014-01-24 06:59:56 UTC
Created attachment 854807 [details]
File: proc_pid_status

Comment 11 silhano 2014-01-24 06:59:58 UTC
Created attachment 854808 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:39:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:43:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.